E-MailRelay

Public Member Functions | Public Attributes | List of all members
GNet::Server::Config Struct Reference

A configuration structure for GNet::Server. More...

`#include <gserver.h>`

Collaboration diagram for GNet::Server::Config:
[legend]

## Public Member Functions
Config & | set_stream_socket_config (const StreamSocket::Config &)
Config & | set_uds_open_permissions (bool b=true) noexcept

## Public Attributes
StreamSocket::Config | stream_socket_config
bool | uds_open_permissions {false}

## Detailed Description

A configuration structure for GNet::Server.

Definition at line 55 of file gserver.h.

## Member Function Documentation

## ◆ set_stream_socket_config()

GNet::Server::Config & GNet::Server::Config::set_stream_socket_config | ( | const StreamSocket::Config & | c | ) |
| inline

Definition at line 151 of file gserver.h.

## ◆ set_uds_open_permissions()

GNet::Server::Config & GNet::Server::Config::set_uds_open_permissions | ( | bool | b = `true` | ) |
| inline noexcept

Definition at line 152 of file gserver.h.

## Member Data Documentation

## ◆ stream_socket_config

StreamSocket::Config GNet::Server::Config::stream_socket_config

Definition at line 57 of file gserver.h.

## ◆ uds_open_permissions

bool GNet::Server::Config::uds_open_permissions {false}

Definition at line 58 of file gserver.h.

The documentation for this struct was generated from the following file:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gnet/gserver.h